OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMNaming

# XmlMNaming_NamingDriver Class Reference

`#include <XmlMNaming_NamingDriver.hxx>`

Inheritance diagram for XmlMNaming_NamingDriver:

[legend]

## Public Member Functions
Standard_EXPORT | XmlMNaming_NamingDriver (const Handle(CDM_MessageDriver)&aMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, XmlObjMgt_RRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, XmlObjMgt_Persistent &theTarget, XmlObjMgt_SRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMNaming_NamingDriver::XmlMNaming_NamingDriver | ( | const Handle(CDM_MessageDriver)& | aMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMNaming_NamingDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XmlMDF_ADriver.

Standard_EXPORT Handle_TDF_Attribute XmlMNaming_NamingDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT void XmlMNaming_NamingDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | XmlObjMgt_Persistent & | theTarget,
|  | XmlObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT Standard_Boolean XmlMNaming_NamingDriver::Paste | ( | const XmlObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | XmlObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

The documentation for this class was generated from the following file:

- XmlMNaming_NamingDriver.hxx